Show / Hide Table of Contents

# Struct ResourceManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.System.Resource

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ResourceManager

### Fields

| Improve this Doc View Source

#### ResourceGraph

##### Declaration

    public ResourceGraph*ResourceGraph

##### Field Value

Type | Description
--- | ---
ResourceGraph* |

### Methods

| Improve this Doc View Source

#### FindResourceHandle(ResourceCategory*, UInt32*, UInt32*)

##### Declaration

    [MemberFunction("44 8B 12 4D 8B D8 41 0F B7 C2 49 C1 EA 18")]
    public ResourceHandle*FindResourceHandle(ResourceCategory*category, uint *type, uint *hash)

##### Parameters

Type | Name | Description
--- | --- | ---
ResourceCategory* | category |
System.UInt32* | type |
System.UInt32* | hash |

##### Returns

Type | Description
--- | ---
ResourceHandle* |

| Improve this Doc View Source

#### GetResourceAsync(ResourceCategory*, UInt32*, UInt32*, Byte*, Void*, Boolean)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? 00 48 8B D8 EB ?? F0 FF 83 ?? ?? 00 00")]
    public ResourceHandle*GetResourceAsync(ResourceCategory*category, uint *type, uint *hash, byte *path, void *unknown, bool isUnknown)

##### Parameters

Type | Name | Description
--- | --- | ---
ResourceCategory* | category |
System.UInt32* | type |
System.UInt32* | hash |
System.Byte* | path |
System.Void* | unknown |
System.Boolean | isUnknown |

##### Returns

Type | Description
--- | ---
ResourceHandle* |

| Improve this Doc View Source

#### GetResourceSync(ResourceCategory*, UInt32*, UInt32*, Byte*, Void*)

##### Declaration

    [MemberFunction("E8 ?? ?? 00 00 48 8D 8F ?? ?? 00 00 48 89 87 ?? ?? 00 00")]
    public ResourceHandle*GetResourceSync(ResourceCategory*category, uint *type, uint *hash, byte *path, void *unknown)

##### Parameters

Type | Name | Description
--- | --- | ---
ResourceCategory* | category |
System.UInt32* | type |
System.UInt32* | hash |
System.Byte* | path |
System.Void* | unknown |

##### Returns

Type | Description
--- | ---
ResourceHandle* |